TYPO3 Version: 6.1
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Don't set extensions checked by default in InstallSysExtsUpdate
Description

By default TYPO3 is trying to force you to install the following extensions which should NOT be checked by default!

Frontend Editing
User>Open Documents
Recycler
Scheduler
Simulate Static URLs (which will bring you in conflict with all those people who actually are running cooluri and realURL!)

The complete Point actually does not belong in the Upgrade Process! People who had installed one of those extensions should
update it or they get updated with the upgrade and compare

Especially Simulate Static URLs is totally useless for people who use realURL and cooluri!

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30
related to Core - Bug # 47746: Converting 4.7 sites to 6.1 sites much to comp... Closed 2013-04-30

Associated revisions
Revision 3100b70f - 2013-09-15 15:13 - Wouter Wolters

[TASK] Don't set extensions checked by default in InstallSysExtsUpdate

In the InstallSysExtsUpdate update wizard the extensions are checked
by default. This gives the indication that the extensions need
to be installed. In fact they are optional and therefore should
not be checked by default.

Change-Id: Ic61ad081b08d1906d224a29c79702db3fe1597e1
Resolves: #47733
Releas: 6.2
Reviewed-on: https://review.typo3.org/23827
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
#1 - 2013-07-30 01:52 - Wouter Wolters
- Status changed from New to Needs Feedback

This is partly solved with #49256 the wizard is now marked as done after one time running it.
The only question left is do we need to have those extensions checked by default?

#2 - 2013-07-30 02:56 - Philipp Gampe

IMHO none of the extensions should be check by default.

#3 - 2013-09-14 14:04 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23827

#4 - 2013-09-14 17:26 - Chris topher
- Subject changed from Installtool is forcing you to install ballast extensions to Don't set extensions checked by default in InstallSysExtsUpdate
- Is Regression set to No

#5 - 2013-09-15 15:30 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3100b70fb2922a843e9203eca623772e5e68a6c4.
